Main Page Modules Data Structures File List Data Fields Globals Related Pages

# lib/poptK.c File Reference

Popt tables for signature modes. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include "debug.h"`

Go to the source code of this file.

## Defines

#define | POPT_ADDSIGN -1005
#define | POPT_RESIGN -1006

## Functions

void | signArgCallback (poptContext con, enum poptCallbackReason reason, const struct poptOption *opt, const char *arg, const void *data)

## Variables

rpmSignArguments_s | rpmKArgs
poptOption | rpmSignPoptTable []

## Detailed Description

Popt tables for signature modes.

Definition in file poptK.c.

## Define Documentation

#define POPT_ADDSIGN -1005

| Definition at line 16 of file poptK.c. Referenced by signArgCallback.

#define POPT_RESIGN -1006

| Definition at line 17 of file poptK.c. Referenced by signArgCallback.

## Function Documentation

void signArgCallback | ( | poptContext | con,
|  | enum poptCallbackReason | reason,
|  | const struct poptOption * | opt,
|  | const char * | arg,
|  | const void * | data
| ) | `[static]`

| Definition at line 21 of file poptK.c. References POPT_ADDSIGN, POPT_RESIGN, and rpmKArgs.

## Variable Documentation

struct rpmSignArguments_s rpmKArgs

Initial value:

            { RESIGN_NONE, CHECKSIG_ALL, 0, NULL }

Definition at line 13 of file poptK.c.

Referenced by main, and signArgCallback.

struct poptOption rpmSignPoptTable[]

Initial value:

     {
     { NULL, '\0', POPT_ARG_CALLBACK | POPT_CBFLAG_INC_DATA,
            signArgCallback, 0, NULL, NULL },
     { "addsign", '\0', 0, 0,  -1005 ,
             "add a signature to a package" , NULL },
     { "resign", '\0', 0, 0,  -1006 ,
             "sign a package (discard current signature)" , NULL },
     { "sign", '\0', POPT_ARGFLAG_DOC_HIDDEN, &rpmKArgs.sign, 0,
             "generate signature" , NULL },
     { "checksig", 'K', 0, 0, 'K',
             "verify package signature" , NULL },
     { "nogpg", '\0', POPT_BIT_CLR,
            &rpmKArgs.checksigFlags, CHECKSIG_GPG,
             "skip any GPG signatures" , NULL },
     { "nopgp", '\0', POPT_BIT_CLR|POPT_ARGFLAG_DOC_HIDDEN,
            &rpmKArgs.checksigFlags, CHECKSIG_PGP,
             "skip any PGP signatures" , NULL },
     { "nomd5", '\0', POPT_BIT_CLR,
            &rpmKArgs.checksigFlags, CHECKSIG_MD5,
             "do not verify file md5 checksums" , NULL },

       POPT_TABLEEND
    }

Definition at line 50 of file poptK.c.